// creator  : weidu.exe (version 23100)
// argument : OGHMONK1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~OGHMONK1~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~RandomNum(4,1)
!PartyHasItem("MISCBL")
!PartyHasItem("MISCBM")
!PartyHasItem("MISCBN")
!PartyHasItem("MISCBO")~ THEN BEGIN 0 // from:
  SAY #29074 /* ~I am here to strive for greater knowledge, to bask in the great inspiration that is the will of Oghma.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,2)
!PartyHasItem("MISCBL")
!PartyHasItem("MISCBM")
!PartyHasItem("MISCBN")
!PartyHasItem("MISCBO")
~ THEN BEGIN 1 // from:
  SAY #29075 /* ~We seek to spread knowledge and to curb falsehood and rumor... especially with regards to history.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,3)
!PartyHasItem("MISCBL")
!PartyHasItem("MISCBM")
!PartyHasItem("MISCBN")
!PartyHasItem("MISCBO")~ THEN BEGIN 2 // from:
  SAY #29079 /* ~The things that are studied in the Oghmanyte orders are far beyond most people's comprehension.  We shall teach them... in time.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,4)
!PartyHasItem("MISCBL")
!PartyHasItem("MISCBM")
!PartyHasItem("MISCBN")
!PartyHasItem("MISCBO")
~ THEN BEGIN 3 // from:
  SAY #29080 /* ~Praise be to the Lord of Knowledge!~ */
  IF ~~ THEN EXIT
END

IF ~Global("RevealUmar","GLOBAL",1)
OR(4)
PartyHasItem("miscbl")
PartyHasItem("miscbm")
PartyHasItem("miscbn")
PartyHasItem("miscbo")~ THEN BEGIN 4 // from:
  SAY #57510 /* ~Have you come seeking wisdom from the Binder of What is Known? The Wise God stands ready.~ */
  IF ~~ THEN REPLY #57511 /* ~No, thank you, I have no need of help at the moment.~ */ GOTO 5
  IF ~~ THEN REPLY #57512 /* ~A friend is afflicted by vampirism.  An old book suggested that followers of Oghma might know something about that.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #57513 /* ~Blessed be the gifts of knowledge.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.1
  SAY #57514 /* ~I fear I have no knowledge of the subject, though I did once glance through a text on the subject.  It was quite ancient.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #59376 /* ~I believe it was bought from a dealer in the Umar Hills region, but unfortunately it and several other books on Vampirism went missing some time ago.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #59377 /* ~A pity.  As I recall, one of those books actually outlined the process of curing a vampire that was not too long afflicted.  Ahh, you can turn to books for any knowledge.~ */
  IF ~~ THEN EXIT
END
